USRP Hardware Driver and USRP Manual: uhd::async_metadata_t Struct Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::async_metadata_t Struct Reference

`#include <uhd/types/metadata.hpp>`

## Public Types
enum | event_code_t { EVENT_CODE_OK = 0 , EVENT_CODE_BURST_ACK = 0x1 , EVENT_CODE_UNDERFLOW = 0x2 , EVENT_CODE_SEQ_ERROR = 0x4 , EVENT_CODE_TIME_ERROR = 0x8 , EVENT_CODE_UNDERFLOW_IN_PACKET = 0x10 , EVENT_CODE_SEQ_ERROR_IN_BURST = 0x20 , EVENT_CODE_USER_PAYLOAD = 0x40 }

## Public Member Functions
std::string | to_pp_string (bool compact=true) const
std::string | strevent (void) const

## Public Attributes
size_t | channel
| The channel number in a mimo configuration.
bool | has_time_spec
| Has time specification?
time_spec_t | time_spec
| When the async event occurred.
enum uhd::async_metadata_t::event_code_t | event_code
uint32_t | user_payload [4]

## Detailed Description

Async metadata structure for describing transmit related events.

## Member Enumeration Documentation

## ◆ event_code_t

enum uhd::async_metadata_t::event_code_t

The type of event for a receive async message call.

Enumerator
EVENT_CODE_OK | Status report without error code.
EVENT_CODE_BURST_ACK | A burst was successfully transmitted.
EVENT_CODE_UNDERFLOW | An internal send buffer has emptied.
EVENT_CODE_SEQ_ERROR | Packet loss between host and device.
EVENT_CODE_TIME_ERROR | Packet had time that was late.
EVENT_CODE_UNDERFLOW_IN_PACKET | Underflow occurred inside a packet.
EVENT_CODE_SEQ_ERROR_IN_BURST | Packet loss within a burst.
EVENT_CODE_USER_PAYLOAD | Some kind of custom user payload.

## Member Function Documentation

## ◆ strevent()

std::string uhd::async_metadata_t::strevent | ( | void |  | ) | const

Similar to C's strerror() function, creates a std::string describing the event code.

Returns
  a printable string representing the event.

## ◆ to_pp_string()

std::string uhd::async_metadata_t::to_pp_string | ( | bool | compact = true | ) | const

Convert a async_metadata_t into a pretty print string.

Parameters

  compact | Set to false for a more verbose output.

Returns
  a printable string representing the metadata.

## Member Data Documentation

## ◆ channel

size_t uhd::async_metadata_t::channel

The channel number in a mimo configuration.

## ◆ event_code

enum uhd::async_metadata_t::event_code_t uhd::async_metadata_t::event_code

## ◆ has_time_spec

bool uhd::async_metadata_t::has_time_spec

Has time specification?

## ◆ time_spec

time_spec_t uhd::async_metadata_t::time_spec

When the async event occurred.

## ◆ user_payload

uint32_t uhd::async_metadata_t::user_payload[4]

A special payload populated by custom FPGA fabric.

The documentation for this struct was generated from the following file:

- metadata.hpp